---
description: Let's discover what Objects are, and how to use them to optimize your work.
---

# Objects

### What is an Object?

Forget what you already know about knowledge management tools.&#x20;

At Anytype we have created the concept that everything you create is an Object. Pages, Notes, Recipes, Books, Movies, Audio, Humans, _everything!_&#x20;

These are all **Objects** that are organized and categorized by **Types**.&#x20;

You can connect different **Types** by **Properties** and see how this is visualized on the **Graph**.

You will see in your **Settings** that you can create new Types.&#x20;

In short, an Object is a generalizing term for what you are creating. If it is a page, note, or other Type that you have created.&#x20;

The Object will be organized by the Type of object that it is. &#x20;

It is any node in your graph. The smallest linkable unit. Still classified with types. &#x20;

### Ways to Create Objects

#### Sidebar

When clicking the plus button, you’ll immediately create a new object with the type that is set as your default object type in your space settings.&#x20;

When clicking the arrow button, you'll be presented with a menu of your types which you can sort to your liking. You can then choose which one you want to create.

<div><figure><img src="../../.gitbook/assets/image (41).png" alt=""><figcaption></figcaption></figure> <figure><img src="../../.gitbook/assets/image (42).png" alt=""><figcaption></figcaption></figure></div>

#### Command Menu

When working in the editor you can type `/` to bring up the command menu. If you already know which Type you want to use, you can just type it directly. If you're not sure which Type you want to use, you can type `Objects` instead for the below menu to appear with all of your Types listed. Simply select the Object Type you'd like to create and it will be linked at your current place.

<figure><img src="../../.gitbook/assets/image (183).png" alt="" width="375"><figcaption><p>Command menu > Objects</p></figcaption></figure>

#### Use a Shortcut

For a quick creation of a new Object, you can use this shortcut: `Cmd / Ctrl + N`

This will perform the same action as clicking the "+" sign in the sidebar.

Additionally, you can use `Cmd / Ctrl + Opt / Alt + N` to perform the same action as clicking the arrow sign in the sidebar.

#### Turn Into Object

If you are working on something in an existing Object and would like to transform only a certain block into an Object, you can do that through the action menu by either:

1. Hovering to the left side of the block that you are working on and clicking the 3 dots.
2. Using the `Cmd / Ctrl + /` keyboard shortcut.

<figure><img src="../../.gitbook/assets/image (34).png" alt="" width="563"><figcaption><p>Action menu</p></figcaption></figure>

### Locating Your Objects

#### All Objects

To see all of the objects you've created in your space, you can use the [anytype-library.md](../customize-and-edit-the-sidebar/anytype-library.md "mention") system widget.

<div><figure><img src="../../.gitbook/assets/image (37).png" alt=""><figcaption></figcaption></figure> <figure><img src="../../.gitbook/assets/image (38).png" alt=""><figcaption></figcaption></figure></div>

#### Graph

<figure><img src="../../.gitbook/assets/image (39).png" alt="" width="375"><figcaption></figcaption></figure>

To find all of your objects and how they are connected, you can look to the [graph.md](../../advanced/feature-list-by-platform/graph.md "mention") for your main source of truth.

#### Search

To navigate to the search, either head to your sidebar, and click on the search button or use the `Cmd / Ctrl + K` keyboard shortcut.&#x20;

<figure><img src="../../.gitbook/assets/image (40).png" alt="" width="323"><figcaption></figcaption></figure>

#### Bin

If you've previously removed some objects from your [space.md](../install-and-setup/space.md "mention"), they will appear in your [finding-your-objects.md](../../advanced/data-and-security/data-storage-and-deletion/finding-your-objects.md "mention") unless you've already permanently deleted them.
