---
Description: How to link your Objects with Relations or Simple Links.
---

# Links

### Creating New Links

#### Link to another Object in Anytype

Directly through the editor by using:

1. **Block Links.** Type \[\[ to invoke the Object picker menu or add the slash character ("/") to invoke a command bar, and then look for the `Link to Object` option in the menu. These can appear either as text or as cards.
2. **Inline Links**. Type @ to invoke the Object picker menu.

<div><figure><img src="../../.gitbook/assets/image (17).png" alt=""><figcaption><p>Link Blocks</p></figcaption></figure> <figure><img src="../../.gitbook/assets/image (18).png" alt=""><figcaption><p>Inline Mentions</p></figcaption></figure></div>

With Properties by assigning an Object Property Type in the Object menu.

<figure><img src="../../.gitbook/assets/image (179).png" alt="" width="375"><figcaption></figcaption></figure>

#### Link to external Object on your device

If you want to add a link to an external Object on your desktop, please use the links starting with **file:///** plus the local file destination. For example:

* `file:///Users/Filip/Downloads/Protocol-Berg.pdf` — to open PDFs;
* `file:///Users/Filip/Downloads/my_budget.xlsx` — to open spreadsheets (Excel, Numbers).

To add such a link, pick up "Link to website" just like when you add a new link to a website.

#### Date mentions

You can use **Inline Links** to quickly link to either absolute or relative dates.

Some examples:

* @now or @today
* @tomorrow
* @nextweek
* @nextmonth
* @24/8/2023

It's also possible to use `@date` or `/date` to quickly open the date selection menu.

<figure><img src="../../.gitbook/assets/image (3) (1) (1) (1).png" alt="" width="375"><figcaption></figcaption></figure>

#### Link aliases

You can use regular links to link to a specific object in your space using a different name.&#x20;

1. Write the name of your link first.
2. Select the name and press `Cmd / Ctrl + Shift + K`.
3. Search for the object you want to link, and select it.

### Checking Existing Links

#### Properties on the Graph

In your documents you may have multiple references or connections which could be attached to other work in your library. The Graph is the visualizer for this. Objects connected to other Objects, connected to Humans, or Tasks.

Learn more about [relations.md](../types/relations.md "mention") & the [graph.md](../../advanced/feature-list-by-platform/graph.md "mention") here.

#### Use the Flow

<figure><img src="../../.gitbook/assets/image (19).png" alt="" width="375"><figcaption></figcaption></figure>

Another option to check which Objects are linked together can be found in the Flow tab next to the Graph.

On the top, center of your screen you will see the option to toggle to **Flow** view. This will show you which Object is linked before and after the current Object you are viewing.

#### &#x20;Backlinks

<figure><img src="../../.gitbook/assets/image (20).png" alt="" width="563"><figcaption></figcaption></figure>

Lastly, you can use the Backlinks relation to check which Objects link to the currently opened one.&#x20;
