# Mission

<figure><img src="../../.gitbook/assets/image (83).png" alt=""><figcaption></figcaption></figure>

### Why are we building Anytype

We imagine a world where our fundamental digital freedoms are sacred: the privacy of thought; the freedom to connect with those we trust; and, the freedom to participate in the governance of our digital creations.

We believe that these freedoms are as important to the world of bits, as fundamental human rights are to the world of atoms.

{% hint style="info" %}
### We’re building an alternative for those who value freedom and trust — for ourselves.
{% endhint %}

The current web and much of the software we use do not respect these digital freedoms. In the architecture of the current web, application developers are the keepers of our keys; they control the keys to users’ accounts.

As the gatekeepers of our accounts, they determine who has access, who does not, and how information is distributed.

With so much of our lives lived online, we are driven to construct an alternative.

### Cooperation as a magic wand

Cooperation is our superpower - our remarkable ability to advance our knowledge and well-being by working together. It has enabled us, an unassuming species from sub-Saharan Africa, to inhabit locations all across the planet, build the pyramids, discover atoms and DNA, and even venture into space.

We believe that tools for thought, freedom, and trust are what have enabled us to create all the art, science, technologies, devices, and structures we see around us. They allowed us to build cities and reach for the stars.

{% hint style="info" %}
### Our mission is to empower sustainable cooperation by building tools for thought, freedom and trust.
{% endhint %}

To achieve this level of cooperation, we mastered language. Language was a tool for thought that allowed us to create stories, some of which are social innovations - powerful inter-subjective realities that exist only when enough people believe in them. Humans found a way to use these stories to build trust and freedom at the same time. To achieve greater cooperation, we need both. If we have trust but lack freedom, it results in a dictatorship; if we have a lot of freedom but lack trust, it leads to anarchy.

We see the web as the main tool for thought, freedom and trust today and our aim is to upgrade it:

* as a tool for thought by bringing graph as a universal language of data
* as a tool for freedom by embedding universal digital freedoms
* as a tool for trust by building a decentralized layer of trust that supports governance of the positive sum game that the web creates

We are of the view that with better tools for thought, freedom, and trust, we could accomplish even more. We could chart a course towards true sustainability, with cooperation at its core.
